unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  GraphType, FpImage, intfGraphics, EasyLazFreeType, LazFreeTypeIntfDrawer;

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  png: TPortableNetworkGraphic;
  intfImg: TLazIntfImage;
  drw: TIntfFreeTypeDrawer;
  fnt: TFreeTypeFont;
begin
  png := TPortableNetworkGraphic.Create;
  try
    png.LoadFromFile('transparent.png');
    intfImg := png.CreateIntfImage;
    drw := TIntfFreeTypeDrawer.Create(intfImg);
    fnt := TFreeTypeFont.Create;
    try
      fnt.Name := 'c:\Windows\fonts\Arial.ttf';
      fnt.SizeInPixels := 36;
      fnt.Hinted := true;
      fnt.ClearType := true;
      fnt.Quality := grqHighQuality;
      drw.DrawText('Lazarus', fnt, 0, 100, colBlack);
      png.LoadFromIntfImage(intfImg);
      Image1.Picture.Assign(png);
    finally
      fnt.Free;
      drw.Free;
      intfImg.Free;
    end;
  finally
    png.Free;
  end;
end;

end.

